use super::ActionRunner;

pub(crate) struct DeleteContentBackward;
pub(crate) struct DeleteContentForward;

impl ActionRunner for DeleteContentBackward {
    fn run(&self, start: usize, _end: usize, _data: Option<String>, mut doc: String) -> String {
        if start > 0 {
            doc.remove(start - 1);
        }
        doc
    }
}

impl ActionRunner for DeleteContentForward {
    fn run(&self, start: usize, _end: usize, _data: Option<String>, mut doc: String) -> String {
        if doc.len() > start {
            doc.remove(start);
        }
        doc
    }
}
