use super::ActionRunner;

pub(crate) struct InsertText;

impl ActionRunner for InsertText {
    fn run(&self, start: usize, end: usize, data: Option<String>, mut doc: String) -> String {
        if doc.len() < start || data.is_none() {
            return doc;
        }

        if start < end {
            doc.replace_range(start..end, "");
        }

        doc.insert_str(start, &data.unwrap());
        doc
    }
}
